LibreOffice: Engine Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
Engine Service Referencepublished

service that any scripting engine must implement. More...

Inheritance diagram for Engine:

## Exported Interfaces
interface | com::sun::star::script::XEngine
| The only interface of this service. More...

## Additional Inherited Members
Public Member Functions inherited from XEngine
void | setRoot ([in] com::sun::star::uno::XInterface xRoot)
| sets an interface to an object as a scripting root. More...
com::sun::star::uno::XInterface | getRoot ()
| gets an interface to the object which is the scripting root. More...
void | setLibraryAccess ([in] com::sun::star::script::XLibraryAccess Library)
| sets an access object to get external functions. More...
boolean | compile ([in] string ModuleName, [in] string Script, [in] boolean CreateDebugInfo)
| compiles a script module in the scope of the root object. More...
any | run ([in] string aScript, [in] com::sun::star::uno::XInterface xThis, [in] sequence< any > aArgs)
| runs a script specified by a string. More...
void | runAsync ([in] string acript, [in] com::sun::star::uno::XInterface xThis, [in] sequence< any > args, [in] com::sun::star::script::XEngineListener xCallback)
| runs the script specified by a string and makes callbacks. More...
void | cancel ()
| terminates the execution of the running script. More...
void | addEngineListener ([in] com::sun::star::script::XEngineListener Listener)
| adds an engine listener. More...
void | removeEngineListener ([in] com::sun::star::script::XEngineListener Listener)
| removes an engine listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

service that any scripting engine must implement.

The implementation of this interface should supply the interfaces com.sun.star.script.XDebugging2 and interface com.sun.star.script.XInvocation.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::script::XEngine

interface com::sun::star::script::XEngine

The only interface of this service.

The documentation for this service was generated from the following file:

- com/sun/star/script/Engine.idl